Information on source package pixman

Available versions

ReleaseVersion
buster0.36.0-1
buster (security)0.36.0-1+deb10u1
bullseye0.40.0-1.1~deb11u1
bookworm0.42.2-1
sid0.42.2-1

Resolved issues

BugDescription
CVE-2022-44638In libpixman in Pixman before 0.42.2, there is an out-of-bounds write ...
CVE-2015-5297An integer overflow issue has been reported in the general_composite_r ...
CVE-2014-9766Integer overflow in the create_bits function in pixman-bits-image.c in ...
CVE-2013-6425CVE-2013-6425 pixman: integer underflow when handling trapezoids ...
CVE-2013-1591Stack-based buffer overflow in libpixman, as used in Pale Moon before ...

Security announcements

DSA / DLADescription
DSA-5276-1pixman - security update
DLA-3179-1pixman - security update
DLA-1587-1pixman - security update
DSA-3525-1pixman - security update
DLA-429-1pixman - security update
DSA-2823-1pixman - integer underflow

Search for package or bug name: Reporting problems